- Qt 6.10
- Qt Sensors
- C++ Classes
- QLightReading
- Qt 6.10.2 Reference Documentation

# QLightReading Class

The QLightReading class represents one reading from the light sensor. More...

Header: | `#include <QLightReading>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Sensors)` `target_link_libraries(mytarget PRIVATE Qt6::Sensors)`
qmake: | `QT += sensors`
Inherits: | QSensorReading

- List of all members, including inherited members

## Properties

- lux : const qreal

## Public Functions

qreal | lux() const
void | setLux(qreal lux)

## Detailed Description

#### QLightReading Units

The light sensor returns the intensity of the light in lux.

## Property Documentation

### `[read-only]` lux : const qreal

This property holds the light level.

Measured as lux.

Access functions:

qreal | lux() const

See also QLightReading Units.

## Member Function Documentation

### void QLightReading::setLux(qreal lux)

Sets the light level to lux.

See also lux().